Subject: Re: bug#53398: 29.0.50; narrow-to-region induces buffer recentering

From: Jose A Ortega Ruiz <[email-masked]>
Date: Sun, 23 Jan 2022 17:04:54 +0000

On Sun, Jan 23 2022, Eli Zaretskii wrote:

>> From: Jose A Ortega Ruiz <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 23 Jan 2022 15:42:51 +0000
>> 
>> just for my own understanding: are you saying that the fact that the
>> minibuffer displays more than one line causes a re-centering of my
>> current buffer? why is that normal? if i M-: (message "a\nb\n"), should
>> i expect that my current buffer is recentered?  (it isn't).
>
> If point is in the last N lines that would be "covered" by the
> enlarged mini-window, then Emacs will recenter to keep point visible.
>
>> (also, for the record, the message displayed by that custom set-message
>> does not span more than one line, as far as i can tell.)
>
> It does, see the continuation indicator at the right fringe.  You have
> computed the alignment to span the entire screen line, but Emacs needs
> one more place there to display the cursor.

i see. thank you both Eli and Lars for your time, greatly appreciated.

cheers,
jao
-- 
Since when do we have to agree with people to defend them from
injustice? -Lillian Hellman, playwright (20 Jun 1905-1984)